%global barename js-beautify
%global pypi_name jsbeautifier

Name:		jsbeautify
Version:	1.5.10
Release:	4%{?dist}
Summary:	jsbeautifier.org for node

License:	MIT
URL:		http://jsbeautifier.org
Source0:	https://github.com/beautify-web/js-beautify/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

%description
This little beautifier will reformat and reindent bookmarklets, ugly
JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as
deobfuscate scripts processed by javascriptobfuscator.com.

%package -n nodejs-js-beautify
Summary:	jsbeautifier.org for node
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch
BuildRequires:  nodejs-packaging
BuildRequires:  npm(config-chain)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(nopt)
Requires:       npm(config-chain)
Requires:       npm(mkdirp)
Requires:       npm(nopt)

%if 0%{?fedora}
# Unavailable deps npm(jshint) and npm(benchmark)
%bcond_with test
%endif
%if %{with test}
BuildRequires:  npm(node-static)
BuildRequires:  npm(jshint)
BuildRequires:  npm(benchmark)
BuildRequires:  npm(requirejs)
BuildRequires:  npm(mustache)
%endif

%description -n nodejs-js-beautify
This little beautifier will reformat and reindent bookmarklets, ugly
JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as
deobfuscate scripts processed by javascriptobfuscator.com.

%package -n python2-%{pypi_name}
Summary:	JavaScript unobfuscator and beautifier
BuildArch:	noarch
BuildRequires:	python2-devel
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
This little beautifier will reformat and reindent bookmarklets, ugly
JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as
deobfuscate scripts processed by javascriptobfuscator.com.

%package -n python3-%{pypi_name}
Summary:	JavaScript unobfuscator and beautifier
BuildArch:	noarch
BuildRequires:	python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This little beautifier will reformat and reindent bookmarklets, ugly
JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as
deobfuscate scripts processed by javascriptobfuscator.com.

%prep
%setup -qn js-beautify-%{version} 
rm -rf node_modules/

%nodejs_fixdep mkdirp

%build
# For Python package
cd python
%py2_build
%py3_build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/js-beautify
cp -pr package.json js/lib/ \
    %{buildroot}%{nodejs_sitelib}/js-beautify

chmod 0755 %{buildroot}%{nodejs_sitelib}/js-beautify/lib/cli.js
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/js-beautify/lib/cli.js \
    %{buildroot}%{_bindir}/js-beautify-node

%nodejs_symlink_deps

# For Python package
cd python
%py2_install
%py3_install

%check
%if %{with test}
%nodejs_symlink_deps --check
./js/test/shell-smoke-test.sh
%endif


%files -n nodejs-js-beautify
%license LICENSE
%doc CHANGELOG.md README.md
%{nodejs_sitelib}/js-beautify
%{_bindir}/js-beautify-node

%files -n python2-%{pypi_name}
%license LICENSE
%doc CHANGELOG.md README.md
%{python2_sitelib}/%{pypi_name}/
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info
%exclude %{python2_sitelib}/%{pypi_name}/tests

%files -n python3-%{pypi_name}
%license LICENSE
%doc CHANGELOG.md README.md
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/js-beautify
%exclude %{python3_sitelib}/%{pypi_name}/tests

%changelog
* Fri Jul 31 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-4
- Renaming the package to jsbeautify to create nodejs and python subpackages

* Mon Jul 27 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-3
- Adding fixdep for mkdirp

* Sun Jul 26 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-2
- Conditioning tests due to unavailable deps

* Sat Jul 25 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-1
- Update to 1.5.10
- Including /js/lib/ directory
- Adding symlink to lib/cli.js in %%{_bindir}

* Fri Jul 24 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.9-1
- Initial packaging
